#include <clib/amigaguide_protos.h>
#include <clib/alib_protos.h>
#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/graphics_protos.h>
#include <clib/icon_protos.h>
#include <clib/intuition_protos.h>
#include <clib/macros.h>
#include <clib/reqtools_protos.h>
#include <clib/sortlist_protos.h>
#include <clib/utility_protos.h>
#include <exec/memory.h>
#include <libraries/amigaguide.h>
#include <libraries/reqtools.h>
#include <libraries/triton.h>
#include <lists.h>
#include <proto/triton.h>
#include <workbench/startup.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Pool functions */
__stkargs APTR LibCreatePool( ULONG requirements, ULONG puddleSize, ULONG threshSize );
__stkargs void LibDeletePool( APTR poolHeader );
__stkargs APTR LibAllocPooled( APTR poolHeader, ULONG memSize );
__stkargs void LibFreePooled( APTR poolHeader, APTR memory, ULONG memSize );

